## ros-foxy-swri-geometry-util 3.5.2

=== debian/changelog ===
ros-foxy-swri-geometry-util (3.5.2-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 30 May 2023 05:00:00 -0000

ros-foxy-swri-geometry-util (3.5.1-3focal) focal; urgency=high

  * Fixing how the GEOS library is found (#697 <https://github.com/swri-robotics/marti_common/issues/697>)
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Tue, 29 Nov 2022 06:00:00 -0000

ros-foxy-swri-geometry-util (3.5.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 11 Oct 2022 05:00:00 -0000

ros-foxy-swri-geometry-util (3.4.2-3focal) focal; urgency=high

  * Switch to C API (#689 <https://github.com/swri-robotics/marti_common/issues/689>)
    * Switch to GEOS C API from C++ API
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Mon, 10 Oct 2022 05:00:00 -0000

ros-foxy-swri-geometry-util (3.3.2-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 24 Nov 2020 06:00:00 -0000

ros-foxy-swri-geometry-util (3.3.1-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 19 Aug 2020 05:00:00 -0000

ros-foxy-swri-geometry-util (3.3.0-3focal) focal; urgency=high

  * Add GitHub Actions for CI (ROS2) (#586 <https://github.com/swri-robotics/marti_common/issues/586>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-foxy-swri-geometry-util (3.2.1-3focal) focal; urgency=high

  * ROS Foxy support (#582 <https://github.com/swri-robotics/marti_common/issues/582>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-foxy-swri-geometry-util (3.2.0-3focal) focal; urgency=high

  * Fix build with GEOS 3.8 (#576 <https://github.com/swri-robotics/marti_common/issues/576>) (#577 <https://github.com/swri-robotics/marti_common/issues/577>)
    Co-authored-by: Ben Wolsieffer <mailto:benwolsieffer@gmail.com>
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-foxy-swri-geometry-util (3.1.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 30 Mar 2020 05:00:00 -0000

ros-foxy-swri-geometry-util (3.0.5-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 10 Mar 2020 05:00:00 -0000

ros-foxy-swri-geometry-util (3.0.4-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-foxy-swri-geometry-util (3.0.3-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-foxy-swri-geometry-util (3.0.2-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-foxy-swri-geometry-util (3.0.1-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-foxy-swri-geometry-util (3.0.0-3focal) focal; urgency=high

  * ROS2 Dashing conversion (#549 <https://github.com/pjreed/marti_common/issues/549>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-foxy-swri-geometry-util (2.10.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-foxy-swri-geometry-util (2.9.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-foxy-swri-geometry-util (2.8.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-foxy-swri-geometry-util (2.7.3-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-foxy-swri-geometry-util (2.7.2-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-foxy-swri-geometry-util (2.7.1-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-foxy-swri-geometry-util (2.7.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-foxy-swri-geometry-util (2.6.0-3focal) focal; urgency=high

  * Check for valid polygons before calculating intersection area. (#529 <https://github.com/swri-robotics/marti_common/issues/529>)
  * Add polygon utility functions. (#526 <https://github.com/swri-robotics/marti_common/issues/526>)
  * Add function to test if two line segments intersect. (#525 <https://github.com/swri-robotics/marti_common/issues/525>)
  * Contributors: Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-foxy-swri-geometry-util (2.5.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-foxy-swri-geometry-util (2.4.0-3focal) focal; urgency=high

  * Add function for projecting a point onto a plane. (#521 <https://github.com/swri-robotics/marti_common/issues/521>)
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-foxy-swri-geometry-util (2.3.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-foxy-swri-geometry-util (2.2.1-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-foxy-swri-geometry-util (2.2.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-foxy-swri-geometry-util (2.1.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-foxy-swri-geometry-util (2.0.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-foxy-swri-geometry-util (1.2.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-foxy-swri-geometry-util (1.1.0-3focal) focal; urgency=high

  * Add function for closest point to lines in 3d. (#478 <https://github.com/pjreed/marti_common/issues/478>)
  * Add line intersection function. (#473 <https://github.com/pjreed/marti_common/issues/473>)

