=== debian/control ===
Source: ros-foxy-swri-geometry-util
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgeos-dev, pkg-config, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-cv-bridge, ros-foxy-rclcpp, ros-foxy-tf2, ros-foxy-ros-workspace
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-foxy-swri-geometry-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libgeos-dev, ros-foxy-cv-bridge, ros-foxy-rclcpp, ros-foxy-tf2, ros-foxy-ros-workspace
Description: swri_geometry_util
